unit UBedsoreMainForm;

interface

uses
  Winapi.Messages, System.SysUtils, System.Variants,
  System.Classes, Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs,
  Vcl.AppEvnts, Vcl.StdCtrls, IdHTTPWebBrokerBridge, Web.HTTPApp, Vcl.ExtCtrls;

type
  T_BedsoreMainForm = class(TForm)
    ApplicationEvents1: TApplicationEvents;
    Panel2: TPanel;
    Label14: TLabel;
    lServerPath1: TLabel;
    lDatabaseName1: TLabel;
    Label17: TLabel;
    Label8: TLabel;
    lSavePath: TLabel;
    Panel3: TPanel;
    Label2: TLabel;
    lPatientID: TLabel;
    Label4: TLabel;
    lSatueiBunrui: TLabel;
    Label6: TLabel;
    lSatueiKubun: TLabel;
    Label10: TLabel;
    lPictureName: TLabel;
    Label12: TLabel;
    lName: TLabel;
    Panel1: TPanel;
    ButtonStart: TButton;
    ButtonStop: TButton;
    EditPort: TEdit;
    Label1: TLabel;
    Label3: TLabel;
    lDatabaseName2: TLabel;
    Label5: TLabel;
    lServerPath2: TLabel;
    Image1: TImage;
    procedure FormCreate(Sender: TObject);
    procedure ApplicationEvents1Idle(Sender: TObject; var Done: Boolean);
    procedure ButtonStartClick(Sender: TObject);
    procedure ButtonStopClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private 錾 }
    FServer: TIdHTTPWebBrokerBridge;
    procedure StartServer;
    procedure FormCLS;
  public
    { public 錾 }
  end;

var
  _BedsoreMainForm: T_BedsoreMainForm;

implementation

{$R *.dfm}

uses
  WinApi.Windows, Winapi.ShellApi;

procedure T_BedsoreMainForm.ApplicationEvents1Idle(Sender: TObject; var Done: Boolean);
begin
  ButtonStart.Enabled := not FServer.Active;
  ButtonStop.Enabled := FServer.Active;
  EditPort.Enabled := not FServer.Active;
end;

procedure T_BedsoreMainForm.ButtonStartClick(Sender: TObject);
begin
  StartServer;
end;

procedure T_BedsoreMainForm.ButtonStopClick(Sender: TObject);
begin
  FServer.Active := False;
  FServer.Bindings.Clear;
end;

procedure T_BedsoreMainForm.FormCLS;
begin
  lPictureName.Caption := '';
  lSatueiKubun.Caption := '';
  lSatueiBunrui.Caption := '';
  lName.Caption := '';
  lPatientID.Caption := '';
end;

procedure T_BedsoreMainForm.FormCreate(Sender: TObject);
begin
  FServer := TIdHTTPWebBrokerBridge.Create(Self);
  FormCLS;
end;

procedure T_BedsoreMainForm.FormShow(Sender: TObject);
begin
  StartServer;
end;

procedure T_BedsoreMainForm.StartServer;
begin
  if not FServer.Active then
  begin
    FServer.Bindings.Clear;
    FServer.DefaultPort := StrToInt(EditPort.Text);
    FServer.Active := True;
  end;
end;

end.
